<header class="header">
  <div class="header__inner">
    <a
      [routerLink]="HOME_PATH"
      routerLinkActive="active"
      aria-label="home page"
      (mousemove)="toggleHoveredStatus(true)"
      (mouseleave)="toggleHoveredStatus(false)"
    >
      <svg-brand id="header-brand-logo" [isHovered]="isHoveredLogo"></svg-brand>
    </a>
    <app-nav>
      <app-nav-link
        *ngIf="isAuthenticated"
        name="Admin"
        [path]="ADMIN_PATH"
      ></app-nav-link>
      <app-nav-link name="Quizzes" [path]="QUIZZES_PATH"></app-nav-link>
      <app-nav-link name="About Us" [path]="ABOUT_US_PATH"></app-nav-link>
      <app-nav-link
        *ngIf="!isAuthenticated"
        name="Sign up"
        [path]="REGISTRATION_PATH"
      ></app-nav-link>
      <app-nav-link
        *ngIf="!isAuthenticated"
        name="Sign in"
        [path]="LOGIN_PATH"
      ></app-nav-link>
      <button
        class="btn_logout"
        *ngIf="isAuthenticated"
        (click)="auth.logout()"
      >
        Logout
      </button>
    </app-nav>
  </div>
</header>
